{
    "name": "@open-kappa/node-red-contrib-mymodbus",
    "version": "0.0.0",
    "description": "This package provides node-red nodes for managing modbus protocol.",
    "main": "dist/src/node-red-contrib-mymodbus/index.js",
    "scripts": {
        "build": "npm run build-fast && ./scripts/copy_files.sh",
        "build-fast": "tsc",
        "doc": "./doc/make_doc.sh",
        "lint": "eslint src --ext ts",
        "prepublishOnly": "./scripts/prepublish.sh",
        "test": "mocha --fail-zero --reporter scripts/mocha-reporter.js --require source-map-support/register --timeout 5000 \"dist/src/tests/**/*_spec.js\"",
        "test-nodejs": "mocha --fail-zero --reporter scripts/mocha-reporter.js --require source-map-support/register --timeout 5000 \"dist/src/tests/**/*nodejs*_spec.js\"",
        "test-nodered": "mocha --fail-zero --reporter scripts/mocha-reporter.js --require source-map-support/register --timeout 5000 \"dist/src/tests/**/*node-red*_spec.js\"",
        "update-packages": "./scripts/update_packages.sh"
    },
    "devDependencies": {
        "@types/node": "^18.0.6",
        "@types/node-red": "^1.2.1",
        "@typescript-eslint/eslint-plugin": "^5.30.7",
        "@typescript-eslint/parser": "^5.30.7",
        "eslint": "^8.20.0",
        "eslint-plugin-tsdoc": "^0.2.16",
        "node-red": "^3.0.0",
        "source-map-support": "^0.5.21",
        "stacktrace-parser": "^0.1.10",
        "typedoc": "^0.23.8",
        "typescript": "^4.7.4"
    },
    "keywords": [
        "node-red-contrib-mymodebus",
        "gizero",
        "data model",
        "typescript",
        "node-red"
    ],
    "author": "Gizero",
    "license": "MIT",
    "repository": {
        "type": "git",
        "url": "https://gitlab.com:open-kappa/node-red/node-red-contrib-mymodbus.git"
    },
    "bugs": {
        "url": "https://gitlab.com/open-kappa/node-red/node-red-contrib-mymodbus/issues"
    },
    "homepage": "https://open-kappa.gitlab.io/node-red/node-red-contrib-mymodbus/index.html",
    "private": false,
    "publishConfig": {
        "access": "public"
    },
    "node-red": {
        "nodes": {}
    }
}
